Index: src/sas/sasgui/guiframe/CategoryInstaller.py
===================================================================
--- src/sas/sasgui/guiframe/CategoryInstaller.py	(revision 6e50a8d413a9ee39f4e97836486b9f343ad3f470)
+++ src/sas/sasgui/guiframe/CategoryInstaller.py	(revision b963b2066d6a76fe5073000c5a596a6fd0130ac4)
@@ -15,5 +15,5 @@
 from collections import defaultdict, OrderedDict
 
-from sas.sasgui import get_user_dir
+from sas import get_user_dir
 
 USER_FILE = 'categories.json'
Index: src/sas/sasgui/guiframe/aboutbox.py
===================================================================
--- src/sas/sasgui/guiframe/aboutbox.py	(revision 959eb0181ad06828a748f04512f953aad5b31659)
+++ src/sas/sasgui/guiframe/aboutbox.py	(revision b963b2066d6a76fe5073000c5a596a6fd0130ac4)
@@ -25,5 +25,5 @@
 import os
 
-from sas.sasgui import get_local_config
+from sas import get_local_config
 config = get_local_config()
 
Index: src/sas/sasgui/guiframe/acknowledgebox.py
===================================================================
--- src/sas/sasgui/guiframe/acknowledgebox.py	(revision 74c8cd08df1c5d3f23477827c0f272e88bbbea9d)
+++ src/sas/sasgui/guiframe/acknowledgebox.py	(revision b963b2066d6a76fe5073000c5a596a6fd0130ac4)
@@ -13,5 +13,5 @@
 from wx.lib.expando import ExpandoTextCtrl
 
-from sas.sasgui import get_local_config
+from sas import get_local_config
 config = get_local_config()
 
Index: src/sas/sasgui/guiframe/config.py
===================================================================
--- src/sas/sasgui/guiframe/config.py	(revision d9089328dec4c154a6bac2735e52b5e6fb3c8af2)
+++ src/sas/sasgui/guiframe/config.py	(revision b963b2066d6a76fe5073000c5a596a6fd0130ac4)
@@ -145,7 +145,4 @@
 UPDATE_TIMEOUT = 2
 
-#OpenCL option
-SAS_OPENCL = None
-
 # Time out for updating sasview
 UPDATE_TIMEOUT = 2
Index: src/sas/sasgui/guiframe/customdir.py
===================================================================
--- src/sas/sasgui/guiframe/customdir.py	(revision c6bdb3b56ff2c1bf95baa3241ca1df10d74a79d7)
+++ 	(revision )
@@ -1,59 +1,0 @@
-# Setup and find Custom config dir
-from __future__ import print_function
-
-import os.path
-import logging
-import shutil
-
-from sasmodels.custom import load_module_from_path
-
-from sas.sasgui import get_custom_config_path, get_app_dir
-
-logger = logging.getLogger(__name__)
-
-_config_cache = None
-def setup_custom_config():
-    """
-    Setup the custom config dir and cat file
-    """
-    global _config_cache
-    if not _config_cache:
-        _config_cache = _setup_custom_config()
-    return _config_cache
-
-
-def _setup_custom_config():
-    path = get_custom_config_path()
-    if not os.path.isfile(path):
-        try:
-            # if the custom config file does not exist, copy the default from
-            # the app dir
-            shutil.copyfile(os.path.join(get_app_dir(), "custom_config.py"),
-                            path)
-        except Exception:
-            logger.error("Could not copy default custom config.")
-
-    #Adding SAS_OPENCL if it doesn't exist in the config file
-    # - to support backcompability
-    if not "SAS_OPENCL" in open(path).read():
-        try:
-            open(config_file, "a+").write("SAS_OPENCL = \"None\"\n")
-        except Exception:
-            logger.error("Could not update custom config with SAS_OPENCL.")
-
-    custom_config = _load_config(path)
-    return custom_config
-
-
-def _load_config(path):
-    if os.path.exists(path):
-        try:
-            module = load_module_from_path('sas.sasview.custom_config', path)
-            logger.info("GuiManager loaded %s", path)
-            return module
-        except Exception as exc:
-            logger.error("Error loading %s: %s", path, exc)
-
-    from sas.sasview import custom_config
-    logger.info("GuiManager custom_config defaults to sas.sasview.custom_config")
-    return custom_config
Index: src/sas/sasgui/guiframe/data_panel.py
===================================================================
--- src/sas/sasgui/guiframe/data_panel.py	(revision c6bdb3b56ff2c1bf95baa3241ca1df10d74a79d7)
+++ src/sas/sasgui/guiframe/data_panel.py	(revision b963b2066d6a76fe5073000c5a596a6fd0130ac4)
@@ -33,5 +33,5 @@
 from sas.sasgui.guiframe.local_perspectives.plotting.SimplePlot \
     import PlotFrame as QucikPlotDialog
-from sas.sasgui import get_local_config
+from sas import get_local_config
 
 config = get_local_config()
Index: src/sas/sasgui/guiframe/documentation_window.py
===================================================================
--- src/sas/sasgui/guiframe/documentation_window.py	(revision 2746eab3d2fd36206508d585c8b2ed061fabce96)
+++ src/sas/sasgui/guiframe/documentation_window.py	(revision b963b2066d6a76fe5073000c5a596a6fd0130ac4)
@@ -27,5 +27,5 @@
     WX_SUPPORTS_HTML2 = False
 
-from sas.sasgui import get_app_dir
+from sas import get_app_dir
 
 # Don't use wx html renderer on windows.
Index: src/sas/sasgui/guiframe/gui_manager.py
===================================================================
--- src/sas/sasgui/guiframe/gui_manager.py	(revision 2f22db96dce134a5ac8f4dba0b22c4df370c5431)
+++ src/sas/sasgui/guiframe/gui_manager.py	(revision b963b2066d6a76fe5073000c5a596a6fd0130ac4)
@@ -28,5 +28,5 @@
 from matplotlib import _pylab_helpers
 
-from sas.sasgui import get_local_config, get_app_dir, get_user_dir
+from sas import get_local_config, get_custom_config, get_app_dir, get_user_dir
 from sas.sasgui.guiframe.events import EVT_CATEGORY
 from sas.sasgui.guiframe.events import EVT_STATUS
@@ -47,5 +47,4 @@
 from sas.sascalc.dataloader.loader import Loader
 from sas.sasgui.guiframe.proxy import Connection
-from sas.sasgui.guiframe.customdir import setup_custom_config
 
 logger = logging.getLogger(__name__)
@@ -53,5 +52,5 @@
 
 config = get_local_config()
-custom_config = setup_custom_config()
+custom_config = get_custom_config()
 
 # read some constants from config
@@ -63,5 +62,4 @@
 SPLASH_SCREEN_HEIGHT = config.SPLASH_SCREEN_HEIGHT
 SS_MAX_DISPLAY_TIME = config.SS_MAX_DISPLAY_TIME
-SAS_OPENCL = config.SAS_OPENCL
 if not WELCOME_PANEL_ON:
     WELCOME_PANEL_SHOW = False
@@ -138,8 +136,4 @@
         PARENT_FRAME = wx.Frame
         CHILD_FRAME = wx.Frame
-
-#Initiliaze enviromental variable with custom setting but only if variable not set
-if SAS_OPENCL and not "SAS_OPENCL" in os.environ:
-    os.environ["SAS_OPENCL"] = SAS_OPENCL
 
 class ViewerFrame(PARENT_FRAME):
Index: src/sas/sasgui/guiframe/local_perspectives/data_loader/data_loader.py
===================================================================
--- src/sas/sasgui/guiframe/local_perspectives/data_loader/data_loader.py	(revision dcb91cf83e474bdbe1c788d87690ca5f5e7841cb)
+++ src/sas/sasgui/guiframe/local_perspectives/data_loader/data_loader.py	(revision b963b2066d6a76fe5073000c5a596a6fd0130ac4)
@@ -10,8 +10,9 @@
 logger = logging.getLogger(__name__)
 
+from sas import get_local_config
+
 from sas.sascalc.dataloader.loader import Loader
 from sas.sascalc.dataloader.loader_exceptions import NoKnownLoaderException
 
-from sas.sasgui import get_local_config
 from sas.sasgui.guiframe.plugin_base import PluginBase
 from sas.sasgui.guiframe.events import StatusEvent
Index: src/sas/sasgui/guiframe/startup_configuration.py
===================================================================
--- src/sas/sasgui/guiframe/startup_configuration.py	(revision 7432acb919f4013119ca918a73350297e0d4c93f)
+++ src/sas/sasgui/guiframe/startup_configuration.py	(revision b963b2066d6a76fe5073000c5a596a6fd0130ac4)
@@ -13,5 +13,5 @@
 import wx
 
-from sas.sasgui import get_custom_config_path
+from sas import make_custom_config_path
 from sas.sasgui.guiframe.events import StatusEvent
 from sas.sasgui.guiframe.gui_style import GUIFRAME
@@ -194,5 +194,5 @@
         Write custom configuration
         """
-        path = get_custom_config_path()
+        path = make_custom_config_path()
         with open(path, 'w') as out_f:
             out_f.write("#Application appearance custom configuration\n")
